Bug 1417823 - [RFE]virt-v2v new feature "--vdsm-compat" should be added
Summary: [RFE]virt-v2v new feature "--vdsm-compat" should be added
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ovirt-4.2.0
: 4.2.0
Assignee: Shahar Havivi
QA Contact: Nisim Simsolo
URL:
Whiteboard:
Depends On: 1412451
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 07:52 UTC by Shahar Havivi
Modified: 2019-04-28 13:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
with this new feature we are converting qcow images with the newer compat version '1.1'. Note that the storage version needs to be 4 or more.
Clone Of:
Environment:
Last Closed: 2017-12-20 11:33:15 UTC
oVirt Team: Virt
rule-engine: ovirt-4.2+
gklein: testing_plan_complete-
mtessun: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 71581 0 master MERGED core: support for virt-v2v new feature '--vdsm-compat' 2017-03-02 07:22:16 UTC

Description Shahar Havivi 2017-01-31 07:52:52 UTC
virt-v2v have a new feature --vdsm-compat when the output file is qcow2.
default version is 0.10 and 1.1 is the modern version.

note that this option will be available only if the storage-domain type is 4 or higher.

Comment 1 Nisim Simsolo 2017-08-15 14:56:09 UTC
Verification build: 
ovirt-engine-4.2.0-0.0.master.20170811144920.gita423008.el7.centos
vdsm-4.20.2-64.git072feb0.el7.centos.x86_64
libvirt-client-3.2.0-14.el7_4.2.x86_64
sanlock-3.5.0-1.el7.x86_64
qemu-kvm-rhev-2.9.0-14.el7.x86_64
virt-v2v-1.36.3-6.el7_4.2.x86_64

Comment 4 Sandro Bonazzola 2017-12-20 11:33:15 UTC
This bugzilla is included in oVirt 4.2.0 release, published on Dec 20th 2017.

Since the problem described in this bug report should be
resolved in oVirt 4.2.0 release, published on Dec 20th 2017, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.